trick-CP(1)

NAME
trick-CP - Trick Configuration Processor

SYNOPSIS
trick-CP [OPTION]...

DESCRIPTION
trick-CP is the Trick environment Configuration Processor. trick-CP parses the simulation definition file, S_define, searching for math models to include in the simulation. trick-CP will search for the math models within the search paths included in TRICK_CFLAGS and TRICK_CXXFLAGS environment variables. trick-CP will generate code to call math models listed in the S_define file and will generate a makefile to build these math models.

  Options

-g, --debug
    Print the S_define file as it is processed by trick-CP. (This may help the user find problems with his/her simulation configuration).

-h, --help
    Print the trick-CP help message

-o, --outfile FILE_NAME
    Send CP output to FILE_NAME

-p, --no-python
    Exclude python input processor from simulation.

-t  Create a unit test simulation where TRICK_UNIT_TEST is defined during compilation

-v, --verbose
    Set the verbose level. Valid entries are 0-3

FILES

build/S_source.cpp
    The simulation-specific executive source code file.

build/S_library_list
    The simulation-specific object code link list file.

ENVIRONMENT

${TRICK_CPFLAGS}
    Arguments to send to trick-CP

${TRICK_HOME}
    Contains path to Trick root directory

SEE ALSO
All Trick model developers and users should go through the tutorial found in the Trick Simulation Environment User Training Materials. The canonical reference for all Trick commands, files and utilities is the Trick Simulation Environment User's Guide. Information specific to a given release of Trick tools is contained in the Trick Simulation Environment Version Description for that release.

HISTORY
1991-2002 : The trick-CP utility in C was written by Rob Bailey. 2003-2016 : The trick-CP utility ported to Perl was written by Alex Lin.